Page MenuHomePhabricator

dLocal: on donation form, show Netbanking / UPI choice sooner in flow?
Closed, ResolvedPublic1 Story Points

Description

From today's test we saw several donors asking if we accepted their bank before they selected either Netbanking or UPI. Rakhi had the great suggestion that if we asked donors to choose between those two options *on the initial screen* rather than the second one, donors might be more comfortable with the form. UPI and Netbanking are so common that if donors see these options straightaway they will know that they can specify their banks later in the process.

Currently step 1 looks like:

And step 2 is where they choose:

Would it be possible to place the options for UPI and Netbanking on the initial screen in Step 1? It would add 1 button, but would likely reduce donor confusion. The three tickets we saw today were not a landslide, but we will definitely see more of this question when volume scales up.

Rakhi suggests that using the phrase 'Bank Transfer' to group these two methods together may introduce ambiguity into the flow.

Event Timeline

MBeat33 created this task.Aug 28 2019, 1:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 28 2019, 1:39 PM
MBeat33 updated the task description. (Show Details)Aug 28 2019, 1:43 PM

We could add the buttons to banners quite easily. However it would need fr-tech work if we want to then remove the choice on the second screen.

Thanks for sharing this feedback from Rakhi, @MBeat33! I just want to endorse the idea ... we have generally seen that offering several methods in step 1 of the banner, particularly methods we know local donors will want, increases donation rate.

I would vote, if possible, to remove the need to then re-select it on payments wiki.

We can make a change where the query string tells us which bank transfer option was selected. The user will land on a payments page where they still have to click "continue" to continue to the right bank.

Ejegg set the point value for this task to 1.Sep 13 2019, 6:40 PM

Change 536715 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@deployment] WIP hide choices when payment_submethod given

https://gerrit.wikimedia.org/r/536715

Change 536722 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] WIP hide choices when payment_submethod given

https://gerrit.wikimedia.org/r/536722

Change 536715 abandoned by Ejegg:
WIP hide choices when payment_submethod given

Reason:
oops, wrong base branch

https://gerrit.wikimedia.org/r/536715

@Ejegg are you working on this and should it be moved to "Doing"?

Ejegg added a comment.Sep 19 2019, 8:42 PM

@mepps That patch was mostly just an experiment - I'm not currently working on this one.

jgleeson claimed this task.Sep 24 2019, 1:13 PM
jgleeson moved this task from Backlog to Doing on the Fundraising Sprint Sysadmin Kane board.
jgleeson added a comment.EditedSep 24 2019, 1:54 PM

When the user arrives at the payments form, would we want to show either:

  1. The option selected alongside any other options available
  2. The option selected only, hiding any other options

David also points out that we'd need to drop in a Continue button to make it clear how to proceed and I guess remove the current behaviour when clicking on the submethod (bank icon) which submits the form to prevent users thinking they clicked something by mistake?

Change 539185 had a related patch set uploaded (by Jgleeson; owner: Jgleeson):
[mediawiki/extensions/DonationInterface@master] WIP: Add in support for a preset payment_submethod passed in the querystring. Passing a payment_submethod results in other available submethods being hidden.

https://gerrit.wikimedia.org/r/539185

Change 539356 had a related patch set uploaded (by Jgleeson; owner: Jgleeson):
[mediawiki/extensions/DonationInterface@master] Add support for payment submethod label_keys within Mustache

https://gerrit.wikimedia.org/r/539356

Change 539401 had a related patch set uploaded (by Jgleeson; owner: Jgleeson):
[mediawiki/extensions/DonationInterface@master] WIP: add astropay/dlocal Form Load Test to confirm payment_submethod behaviour

https://gerrit.wikimedia.org/r/539401

Change 536722 abandoned by Ejegg:
WIP hide choices when payment_submethod given

Reason:
Done differently in I654347a47a48882e327cf6

https://gerrit.wikimedia.org/r/536722

Change 540174 had a related patch set uploaded (by Jgleeson; owner: Jgleeson):
[mediawiki/extensions/DonationInterface@master] Add nodehtml & nodehtmlmatches checks to verifyFormOutput test helper.

https://gerrit.wikimedia.org/r/540174

Change 539356 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Add support for payment submethod label_keys within Mustache when single submethod shown

https://gerrit.wikimedia.org/r/539356

Change 539185 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Add in support for a preset payment_submethod passed in the querystring. Passing a payment_submethod results in other available submethods being hidden.

https://gerrit.wikimedia.org/r/539185

Change 540174 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Add nodehtml & nodehtmlmatches checks to verifyFormOutput test helper.

https://gerrit.wikimedia.org/r/540174

Change 539401 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Add astropay/dlocal Form Load Test to confirm preset payment_submethod behaviour.

https://gerrit.wikimedia.org/r/539401

DStrine closed this task as Resolved.Tue, Oct 29, 8:42 PM